package com.sun.org.apache.xerces.internal.xni.grammars;

import com.sun.org.apache.xerces.internal.xni.XNIException;
import java.io.IOException;
import com.sun.org.apache.xerces.internal.xni.parser.XMLInputSource;
import com.sun.org.apache.xerces.internal.xni.parser.XMLEntityResolver;
import com.sun.org.apache.xerces.internal.xni.parser.XMLErrorHandler;
import java.util.Locale;
import com.sun.org.apache.xerces.internal.xni.parser.XMLConfigurationException;

public interface XMLGrammarLoader
{
    public abstract String[] getRecognizedFeatures();
    
    public abstract boolean getFeature(String p0) throws XMLConfigurationException;
    
    public abstract void setFeature(String p0, boolean p1) throws XMLConfigurationException;
    
    public abstract String[] getRecognizedProperties();
    
    public abstract Object getProperty(String p0) throws XMLConfigurationException;
    
    public abstract void setProperty(String p0, Object p1) throws XMLConfigurationException;
    
    public abstract void setLocale(Locale p0);
    
    public abstract Locale getLocale();
    
    public abstract void setErrorHandler(XMLErrorHandler p0);
    
    public abstract XMLErrorHandler getErrorHandler();
    
    public abstract void setEntityResolver(XMLEntityResolver p0);
    
    public abstract XMLEntityResolver getEntityResolver();
    
    public abstract Grammar loadGrammar(XMLInputSource p0) throws IOException, XNIException;
}
